Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_Search

    java.lang.Object
      oracle.ifs.server.S_Search

    public class S_Search

extends java.lang.Object

The `S_Search` class represents a Search. A Search contains a SearchSpecification, which defines the details of the Search. For e.g. an AttributeSearchSpecification contains the list of Searched Classes, the Search Condition, the OrderBy clause etc. The Search Object executes the Query based on the Specification.

See Also:
  `SearchSpecification`, `SearchQualification`
(Unpublished)

Field Summary
`protected boolean` | `m_CheckGetContentAccess`
`protected java.lang.String[]` | `m_ContentClasses`
`protected java.sql.PreparedStatement` | `m_PreparedStatement`
`protected java.sql.ResultSet` | `m_ResultSet`
`protected java.util.Hashtable` | `m_ScoreMapping` Provides a mapping from SCORE expressions to ContextQualifier Names.
`protected SearchSpecification` | `m_SearchSpecification`
`protected S_LibrarySession` | `m_Session`
`protected static int` | `NUM_OF_SECURE_PARAMETERS`

Constructor Summary
`protected` | `S_Search(S_LibrarySession sess)`
`protected` | `S_Search(S_LibrarySession sess, SearchSpecification sp)`

Method Summary
`protected void` | `close()`
`protected static void` | `createView(S_LibrarySession sess, ViewSpecification vsp)`
`protected java.lang.String` | `explainPlan(java.util.Hashtable planDetails)` Wrapper for SearchSpecification explainPlan.
`java.sql.PreparedStatement` | `generateSQLStatement(java.lang.String sqlStmt)`
`protected int` | `getItemCount(java.util.Vector bindValues, java.lang.String language, int timeout)`
`S_ClassObjectData` | `getLibraryClassData(java.lang.Long id)`
`protected SearchSpecification` | `getSearchSpecification()`
`protected java.lang.String` | `getSQLString()` Returns the SQL generated for the search.
`protected S_SearchResultObjectData` | `next()`
`protected java.util.Vector` | `next(int batchCount)` Next returns the next batch of Result rows.
`protected void` | `open(java.util.Vector bindValues, java.lang.String language, int timeout)`
`protected void` | `setSearchSpecification(SearchSpecification sp)`
`int` | `setSecurityParameters(java.sql.PreparedStatement stmt, int offset)`
`protected void` | `setTimeout(java.sql.Statement stmt, int timeout)`
`void` | `validateValue(java.lang.String clss, java.lang.String attribute, AttributeValue av)` Check if the Value is valid for the Attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NUM_OF_SECURE_PARAMETERS

    protected static int NUM_OF_SECURE_PARAMETERS

### m_SearchSpecification

    protected SearchSpecification m_SearchSpecification

### m_Session

    protected S_LibrarySession m_Session

### m_PreparedStatement

    protected java.sql.PreparedStatement m_PreparedStatement

### m_ResultSet

    protected java.sql.ResultSet m_ResultSet

### m_CheckGetContentAccess

    protected boolean m_CheckGetContentAccess

### m_ContentClasses

    protected java.lang.String[] m_ContentClasses

### m_ScoreMapping

    protected java.util.Hashtable m_ScoreMapping

  Description copied from class: `S_Search`
  Provides a mapping from SCORE expressions to ContextQualifier Names. This is used in building the Scores Hashtable.

Constructor Detail

### S_Search

    protected S_Search(S_LibrarySession sess)

### S_Search

    protected S_Search(S_LibrarySession sess,
                       SearchSpecification sp)

Method Detail

### createView

    protected static void createView(S_LibrarySession sess,
                                     ViewSpecification vsp)
                              throws IfsException

  Throws:
    `IfsException`

### setSearchSpecification

    protected void setSearchSpecification(SearchSpecification sp)
                                   throws IfsException

  Throws:
    `IfsException`

### getSearchSpecification

    protected SearchSpecification getSearchSpecification()
                                                  throws IfsException

  Throws:
    `IfsException`

### getSQLString

    protected java.lang.String getSQLString()
                                     throws IfsException

  Description copied from class: `S_Search`
  Returns the SQL generated for the search.

  Returns:
    the SQL generated for the search.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### open

    protected void open(java.util.Vector bindValues,
                        java.lang.String language,
                        int timeout)
                 throws IfsException

  Throws:
    `IfsException`

### setTimeout

    protected void setTimeout(java.sql.Statement stmt,
                              int timeout)
                       throws IfsException,
                              java.sql.SQLException

  Throws:
    `IfsException`
    `java.sql.SQLException`

### getItemCount

    protected int getItemCount(java.util.Vector bindValues,
                               java.lang.String language,
                               int timeout)
                        throws IfsException

  Throws:
    `IfsException`

### next

    protected S_SearchResultObjectData next()
                                     throws IfsException

  Throws:
    `IfsException`

### next

    protected java.util.Vector next(int batchCount)
                             throws IfsException

  Description copied from class: `S_Search`
  Next returns the next batch of Result rows. Upto batchCount rows are returned. If batchCount is 0, the remaning rows in the result are returned. A End-Of-Data Exception is thrown if there are no result rows.

  Throws:
    `IfsException`

### explainPlan

    protected java.lang.String explainPlan(java.util.Hashtable planDetails)
                                    throws IfsException

  Description copied from class: `S_Search`
  Wrapper for SearchSpecification explainPlan.

  Throws:
    `IfsException`
  (Unpublished)

### close

    protected void close()
                  throws IfsException

  Throws:
    `IfsException`

### generateSQLStatement

    public java.sql.PreparedStatement generateSQLStatement(java.lang.String sqlStmt)
                                                    throws IfsException

  Throws:
    `IfsException`

### getLibraryClassData

    public S_ClassObjectData getLibraryClassData(java.lang.Long id)
                                          throws IfsException

  Throws:
    `IfsException`

### setSecurityParameters

    public int setSecurityParameters(java.sql.PreparedStatement stmt,
                                     int offset)
                              throws IfsException

  Throws:
    `IfsException`

### validateValue

    public void validateValue(java.lang.String clss,
                              java.lang.String attribute,
                              AttributeValue av)
                       throws IfsException

  Description copied from class: `S_Search`
  Check if the Value is valid for the Attribute.

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD